package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;
import com.rjconsultores.ventaboletos.utilerias.fiscal.vo.FiscalRdi;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioRDI extends Relatorio {

	@SuppressWarnings("unchecked")
	public RelatorioRDI(final Map<String, Object> parametros, Connection conexao) throws Exception {
		super(parametros, conexao);

		List<Estado> estados = (List<Estado>) parametros.get("estados");
		String ufs = null;
		for (Estado estado : estados) {
			if (ufs == null)
				ufs = estado.getCveestado() + ";";
			else
				ufs = ufs + estado.getCveestado() + ";";
		}

		parametros.put("ufs", ufs);

		this.setCustomXls(true);

		List<FiscalRdi> list = (List<FiscalRdi>) parametros.get("list");
		this.setCollectionDataSource(new JRBeanCollectionDataSource(list));

	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
